Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 12 Feb 2021 02:01:59 +0000 (UTC)

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have made a return request the same day itself when my product was delivered. The jeans which I have order was not delivered but the different one with different colour. I feel cheated.
It's already more than 11 days now the return product has not been collected. 
Since I was in need of the jeans I have to wear that now.. But unfortunately I feel cheated. Have not expected this from such a reputed company. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2087653